package com.adventurer_engine.util.blockbench;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.util.IReadJsonable;
import com.adventurer_engine.util.JsonHelper;
import com.adventurer_engine.util.blockbench.BBModel;
import com.google.gson.internal.StringMap;
import java.util.Set;

public class BBModelAnimation implements IReadJsonable {
  public String uuid;
  
  public String name;
  
  public String loop;
  
  public boolean override;
  
  public double length;
  
  public double snapping;
  
  public boolean selected;
  
  public StringMap<BBModelAnimator> animators;
  
  public BBModelAnimation(JsonHelper json) {
    readJson(json);
    BBModel.animationMap.put(this.uuid, this);
  }
  
  public void readJson(JsonHelper json) {
    this.uuid = json.getString("uuid");
    this.name = json.getString("name");
    this.loop = json.getString("loop");
    this.override = json.getBoolean("override");
    this.length = json.getDouble("length");
    this.snapping = json.getDouble("snapping");
    this.selected = json.getBoolean("selected");
    JsonHelper animatorsJson = json.getSubJson("animators");
    Set<String> keys = animatorsJson.getKeySet();
    this.animators = new StringMap();
    for (String k : keys) {
      BBModelAnimator ani = new BBModelAnimator(animatorsJson.getSubJson(k));
      this.animators.put(k, ani);
    } 
  }
}
